> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/pnc-details.md).

# PNC Details

| **API URL**     | {{url}}/spice-service/medical-review/pnc/details |
| --------------- | ------------------------------------------------ |
| **Method**      | POST                                             |
| **Description** | List details of PNC in medical review            |

#### **Input:** <a href="#pncdetails-v2-input" id="pncdetails-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | Bigint   | Yes           | Patient id                                                                                                                              |
| patientReference       | Bigint   | Yes           | Patient reference                                                                                                                       |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#pncdetails-v2-sampleinput" id="pncdetails-v2-sampleinput"></a>

{\
"id": "850",\
"patientReference": "802"\
}

#### **Output:** <a href="#pncdetails-v2-output" id="pncdetails-v2-output"></a>

| **Field Name**   | **Type** | **Example**                            |
| ---------------- | -------- | -------------------------------------- |
| message          | String   | MedicalReview created successfully     |
| pncMother        | String   | PNC Mother details                     |
| id               | Bigint   | PNC Mother id                          |
| visitNumber      | Bigint   | Visit Number                           |
| patientReference | Bigint   | Patient Reference id                   |
| patientStatus    | Boolean  | Patient Status                         |
| isMotherAlive    | Boolean  | Mother Alive                           |
| clinicalNotes    | String   | Clinical Notes                         |
| encounter        | String   | Encounter details of the patient       |
| referred         | Boolean  | Patient referred status                |
| patientId        | Bigint   | Patient id                             |
| memberId         | Bigint   | Household member ID                    |
| startTime        | Date     | Start Time                             |
| endTime          | Date     | End Time                               |
| provenance       | String   | Provenance details of the organization |
| latitude         | Long     | Location of the registration           |
| longitude        | Long     | Location of the registration           |
| visitNumber      | Bigint   | Visit Number of patient                |
| prescriptions    | String   | Patient Prescriptions                  |
| summaryStatus    | String   | Summary Status                         |
| value            | String   | Value of Summary Status                |
| name             | String   | Name of Summary Status                 |
| status           | Boolean  | Response status                        |

#### **Sample Output:** <a href="#pncdetails-v2-sampleoutput" id="pncdetails-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview Details fetched successfully.",
  "entity": {
    "pncChild": null,
    "pncMother": {
      "id": "850",
      "visitNumber": 1,
      "patientReference": "802",
      "patientStatus": null,
      "diagnosis": [],
      "isMotherAlive": false,
      "breastCondition": null,
      "breastConditionNotes": null,
      "involutionsOfTheUterus": null,
      "involutionsOfTheUterusNotes": null,
      "presentingComplaints": null,
      "presentingComplaintsNotes": null,
      "systemicExaminations": null,
      "systemicExaminationsNotes": null,
      "clinicalNotes": null,
      "encounter": null,
      "prescriptions": [],
      "summaryStatus": [
        {
          "value": "OnTreatment",
          "name": "On Treatment"
        },
        {
          "value": "Recovered",
          "name": "Recovered"
        }
      ],
      "investigations": [],
      "labourDTO": null,
      "neonateOutcome": null
    },
    "child": null
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/pnc-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
